---
- name: Group EdgeOS hosts
  when: ansible_kernel.endswith('UBNT')
  changed_when: false
  group_by:
    key: edgeos

- name: Group supported Linux hosts
  when: ansible_distribution == "Rocky" or ansible_distribution == "Fedora"
  changed_when: false
  group_by:
    key: linux
